## pymilter 0.8.9

=== doc/Makefile ===
# Make rules for www.python.org ht->html generation.  SOURCES
# indirection filters out "*.ht" value when no ht files are around.
SOURCES =	$(shell echo *.ht)
TARGETS =	$(filter-out *.html,$(SOURCES:%.ht=%.html)) $(EXTRA_TARGETS)
GENERATED_HTML= $(SOURCES:.ht=.html)

HTROOT = 	.
HT2HTML =	/bms/rpm/BUILD/ht2html-2.0/ht2html.py
HTSTYLE =	StandardGenerator
HTALLFLAGS =	-f -s $(HTSTYLE)
HTFLAGS =	$(HTALLFLAGS) -r $(HTROOT)

DEST = 		spidey:/Public/python
EXCLUDES =	--exclude CVS
ARGS = 		--rsh=ssh -v -r -l -t --update --delete $(EXCLUDES)

.SUFFIXES:	.ht .html

.ht.html:
	$(HT2HTML) $(HTFLAGS) $<

all: $(TARGETS)

$(TARGETS): links.h

clean:
	-rm -f *~
	-rm $(GENERATED_HTML)

install: all
	rsync $(ARGS) *.html *.gif $(DEST)

## pymilter 1.0.3

=== debian/changelog ===
pymilter (1.0.3-3) unstable; urgency=medium

  * Avoid crashes in Milter.utils.parseaddr (Closes: #922733)
  * add myself to uploaders

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 19 Feb 2019 18:35:31 -0500

pymilter (1.0.3-2) unstable; urgency=medium

  * Add preprocessor defines for kfreebsd and hurd
    - debian/patches/hurd_kfreebsd.patch

 -- Scott Kitterman <scott@kitterman.com>  Mon, 24 Dec 2018 03:59:34 -0500

pymilter (1.0.3-1) unstable; urgency=medium

  * New upstream release
    - Drop patches, incorporated upstream
  * Add autopkgtest to run upstream test suite
  * Bump standards-version too 4.3.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 24 Dec 2018 01:49:58 -0500

pymilter (1.0.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout
  * d/watch: Use https protocol

  [ Scott Kitterman ]
  * Enable hardening flags
  * Update Homepage: and d/watch to point to new upstream location on Github
  * Bump standards-version to 4.2.1 without further change
  * New upstream release
  * Add support for python3:
    - Add new python3-milter binary package
    - Update debian/rules
    - For python3, install upstream's forward ported sgmllib in a private
      namespace
    - Add debian/patches/0001-Python-3-compatibility-fixes.patch to fix
      residual Python3 compatibility issues

 -- Scott Kitterman <scott@kitterman.com>  Fri, 21 Dec 2018 15:57:52 -0500

pymilter (1.0-2) unstable; urgency=medium

  * Rebuild against current libmilter to get socket activation support
    (Closes: #799736)
  * Update debian/rules to support separate arch/indep builds
  * Move doxygen to Build-Depends-Indep
  * Add dh-python to Build-Depends
  * Drop obsolete python-milter-docs Breaks/Replaces from python-milter-doc
  * Bump standards version to 3.9.6 without further change

 -- Scott Kitterman <scott@kitterman.com>  Wed, 23 Sep 2015 22:51:12 -0400

pymilter (1.0-1) unstable; urgency=medium

  [ Jakub Wilk ]
  * Fix a typo in README.source.
  * Fix a typo in the package description.

  [ Scott Kitterman ]
  * New upstream release
  * Bump standards version to 3.9.5 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sat, 08 Mar 2014 22:21:24 -0500

pymilter (0.9.8-2) unstable; urgency=low

  * Upload to unstable
  * Add doc-base registration file
  * Drop no longer needed python-milter-docs transitional package
  * Update Vcs-* fields to point at their canonical locations

 -- Scott Kitterman <scott@kitterman.com>  Mon, 29 Apr 2013 17:21:01 -0400

pymilter (0.9.8-1) experimental; urgency=low

  * New upstream release
  * Drop unused python:Provides
  * Bump standards version to 3.9.4 without further change

 -- Scott Kitterman <scott@kitterman.com>  Fri, 22 Mar 2013 09:29:57 -0400

pymilter (0.9.7-1) experimental; urgency=low

  * New upstream release
    - Drop debian/patches/BSD-have-ipv6.diff, incorporated upstream
    - Remove debian/patches (no patches)
    - Drop quilt from build-depends and debian/rules
  * Bump debian/compat and debhelper version to 9

 -- Scott Kitterman <scott@kitterman.com>  Fri, 16 Nov 2012 01:44:53 -0500

pymilter (0.9.5-3) unstable; urgency=low

  * Add quilt as patch system (d/rules, d/control (build-dep), and
    README.source
  * Add debian/patches/BSD-have-ipv6.diff to fix 'initialization makes pointer
    from integer without a cast' warning on kFreeBSD

 -- Scott Kitterman <scott@kitterman.com>  Thu, 12 Apr 2012 11:52:34 -0400

pymilter (0.9.5-2) unstable; urgency=low

  * Update debian/copyright
  * Rename python-milter-docs to the more usual python-milter-doc and retain
    python-milter-docs as a transitional package until after wheezy
  * Update X-Python-Version to require python2.6 or later
  * Bump standards version to 3.9.3 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sun, 18 Mar 2012 18:55:38 -0400

pymilter (0.9.5-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.2 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sun, 11 Sep 2011 17:02:10 -0400

pymilter (0.9.4-1) unstable; urgency=low

  * New upstream release
    - Add doxygen to build-depends to build new documentation
    - Override dh_auto_build to get the docs build to work
    - Switch to building python-milter-docs from pymilter using the new
      doxygen based doc system
    - Add python-milter-docs to debian/control
    - Add python-milter-docs.install
    - Upate dh_auto_clean override to clean up after docs build
    - Override dh_auto_install to install python-milter files
  * Improve the package descriptions
  * Switch from XS-Python-Version to X-Python-Version
  * Drop XB-Python-Version
  * Bump standards version to 3.9.1 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sat, 26 Mar 2011 02:50:02 -0400

pymilter (0.9.3-2) unstable; urgency=low

  * Convert from CDBS to Debhelper 7
    - Port debian/rules to DH 7 tiny plus overrides
    - Drop cdbs from build-depends
    - Bump debhelper version requirement
    - Change compat to 7
    - Remove cdbs generated pycompat
  * Convert from python-central to dh_python2
    - Drop build-depends on python-central
    - Version build-depend on python (>- 2.6.5.-2~)
    - Add --with python2 to debian/rules
  * Change python-milter-docs from Recommends to Suggests for python-milter
  * Specify versions in XS/B-Python-Version instead of all
  * Change source section to python and priority to optional
  * Improve short description
  * Remove unneeded README.source
  * Remove unused debian/pyversions
  * Bump standards version to 3.8.4 without further change
  * Drop DM-Upload-Allowed

 -- Scott Kitterman <scott@kitterman.com>  Thu, 24 Jun 2010 13:30:56 -0400

pymilter (0.9.3-1) unstable; urgency=low

  * New upstream release


=== debian/control ===
Source: pymilter
Section: python
Priority: optional
Maintainer: Scott Kitterman <scott@kitterman.com>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
Build-Depends: debhelper (>= 9), dh-python, python-all-dev (>= 2.6.5-2~), python3-all-dev, libmilter-dev
Build-Depends-Indep: doxygen
Standards-Version: 4.3.0
Homepage: https://github.com/sdgathman/pymilter
Vcs-Git: https://salsa.debian.org/python-team/modules/pymilter.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pymilter

Package: python-milter
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-dns
Suggests: postfix (>= 2.3) | sendmail (>= 8.13), python-milter-doc
Description: Python extension for Sendmail Milter Protocol
 Python milter provides Python extensions for the Milter protocol traditionally
 used by Sendmail and now also used by Postfix. It provides a thin layer of
 Python over the Milter protocol.
 .
 This is the Python (2) version of the package.

Package: python3-milter
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-dns
Suggests: postfix (>= 2.3) | sendmail (>= 8.13), python-milter-doc
Description: Python 3 extension for Sendmail Milter Protocol
 Python milter provides Python extensions for the Milter protocol traditionally
 used by Sendmail and now also used by Postfix. It provides a thin layer of
 Python over the Milter protocol.
 .
 This is the Python 3 version of the package

Package: python-milter-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: www-browser
Description: Documentation for the Python Milter extension
 Python milter provides Python extensions for the Milter protocol traditionally
 used by Sendmail and now also used by Postfix. It provides a thin layer of
 Python over the Milter protocol.
 .
 This package provides HTML and LaTeX documentation for python-milter and
 python3-milter.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python2,python3

override_dh_auto_clean:
	set -e && for pyvers in $(shell pyversions -vr); do \
	  python$$pyvers setup.py clean -a; \
	done
	set -e && for py3vers in $(shell py3versions -vr); do \
	   python$$py3vers setup.py clean -a; \
	done
	dh_clean
	rm -rf $(CURDIR)/build
	rm -rf $(CURDIR)/doc/latex
	rm -rf $(CURDIR)/doc/html

override_dh_auto_build-arch:
	:
override_dh_auto_build-indep:
	doxygen

override_dh_auto_install-arch:
	set -e && for pyvers in $(shell pyversions -vr); do \
	  python$$pyvers setup.py install --no-compile -O0 --install-layout=deb \
	    --root $(CURDIR)/debian/python-milter; \
        done
	set -e && for py3vers in $(shell py3versions -vr); do \
	  python$$py3vers setup.py install --no-compile -O0 --install-layout=deb \
	    --root $(CURDIR)/debian/python3-milter; \
	done
	dh_install

=== debian/tests/control ===
Tests: py2 py3
Depends: @, python-dns, python, python3-dns, python3
Restrictions: allow-stderr

## pymilter 1.0.4

=== debian/changelog ===
pymilter (1.0.4-2build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:22:04 +0100

pymilter (1.0.4-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:09:48 +0000

pymilter (1.0.4-2) unstable; urgency=medium

  * Drop py2 autopkgtests since python2 support is dropped

 -- Scott Kitterman <scott@kitterman.com>  Tue, 09 Jul 2019 00:49:33 -0400

pymilter (1.0.4-1) unstable; urgency=medium

  * New upstream release
    - Dropped patches, incorporated upstream
  * Update d/control and d/rules to drop python-milter
    - No remaining python2 rdepends
  * Bump standards-version to 4.4.0 without further change
  * Set python-milter-doc to Multi-Arch: foreign

 -- Scott Kitterman <scott@kitterman.com>  Mon, 08 Jul 2019 09:28:02 -0400

=== debian/control ===
Source: pymilter
Section: python
Priority: optional
Maintainer: Scott Kitterman <scott@kitterman.com>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
Build-Depends: debhelper (>= 9), dh-python, python3-all-dev, libmilter-dev
Build-Depends-Indep: doxygen
Standards-Version: 4.4.0
Homepage: https://github.com/sdgathman/pymilter
Vcs-Git: https://salsa.debian.org/python-team/modules/pymilter.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pymilter

Package: python3-milter
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-dns
Suggests: postfix (>= 2.3) | sendmail (>= 8.13), python-milter-doc
Description: Python 3 extension for Sendmail Milter Protocol
 Python milter provides Python extensions for the Milter protocol traditionally
 used by Sendmail and now also used by Postfix. It provides a thin layer of
 Python over the Milter protocol.
 .
 This is the Python 3 version of the package

Package: python-milter-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: www-browser
Multi-Arch: foreign
Description: Documentation for the Python Milter extension
 Python milter provides Python extensions for the Milter protocol traditionally
 used by Sendmail and now also used by Postfix. It provides a thin layer of
 Python over the Milter protocol.
 .
 This package provides HTML and LaTeX documentation for python3-milter.

=== debian/tests/control ===
Tests: py3
Depends: @, python3-dns, python3
Restrictions: allow-stderr

## pymilter 1.0.5

=== debian/changelog ===
pymilter (1.0.5-1build5) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:19:13 +0000

pymilter (1.0.5-1build4) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:19:32 +0000

pymilter (1.0.5-1build3) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 19:25:37 -0500

pymilter (1.0.5-1build2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 10:40:47 +0000

pymilter (1.0.5-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:41:31 +0000

pymilter (1.0.5-1) unstable; urgency=medium

  * New upstream release
    - Dropped all patches, in new release
  * Update debian/copyright
  * Add python3-setuptools to build-depends
  * Add python3-bsddb3 to recommends and test depends
  * Add sendmail-bin to test depends

 -- Scott Kitterman <scott@kitterman.com>  Wed, 29 Dec 2021 11:10:18 -0500

pymilter (1.0.4-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove constraints unnecessary since stretch:
    + python3-milter: Drop versioned constraint on postfix and sendmail in
      Suggests.
  * Update watch file format version to 4.
  * Bump debhelper from old 9 to 13.
  * Set upstream metadata fields: Archive, Contact, Name.

  [ Scott Kitterman ]
  * Move myself to uploaders and DPMT to maintainer
  * Update autopkgtest to run for all supported python versions
  * Bump standards-version to 4.6.0 without further change
  * Add debian/patches/milter_config_py3.patch to fix Milter/config.py python3
    compatibility (Closes: #994787)
  * Add debian/patches/py3_10_comnpat.patch to add upstream fixes for Python
    3.10 compatibility in the C extension

 -- Scott Kitterman <scott@kitterman.com>  Mon, 29 Nov 2021 11:50:22 -0500

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3

override_dh_auto_clean:
	set -e && for py3vers in $(shell py3versions -vr); do \
	   python$$py3vers setup.py clean -a; \
	done
	dh_clean
	rm -rf $(CURDIR)/build
	rm -rf $(CURDIR)/doc/latex
	rm -rf $(CURDIR)/doc/html

override_dh_auto_build-arch:
	:
override_dh_auto_build-indep:
	doxygen

override_dh_auto_install-arch:
	set -e && for py3vers in $(shell py3versions -vr); do \
	  python$$py3vers setup.py install --no-compile -O0 --install-layout=deb \
	    --root $(CURDIR)/debian/python3-milter; \
	done
	dh_install

## pymilter 1.0.6

=== debian/changelog ===
pymilter (1.0.6-3build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:42:44 +0000

pymilter (1.0.6-3) unstable; urgency=medium

  * Team upload.

  [ Bastian Germann ]
  * Remove Scott Kitterman from Uploaders (retired, thanks for your work).

  [ Colin Watson ]
  * Set C standard to C17 explicitly (closes: #1097668).

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Mar 2025 14:53:03 +0000

pymilter (1.0.6-2) unstable; urgency=medium

  * Team upload.
  * Python 3.13: Replace deprecated makeSuite() (closes: #1092753).
  * Run autopkgtests with /usr/sbin added to PATH, for makemap.
  * bsddb changed nulls in access file policy (from upstream; fixes test
    failure).
  * Use dh-sequence-python3.

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Jan 2025 16:38:30 +0000

pymilter (1.0.6-1) unstable; urgency=medium

  * Add d/source/options extend-diff-ignore to fix dpkg-source failure due to
    local changes (python package metadata regeneration) (Closes: #1045836)
  * New upstream release
  * Bump standards-version to 4.7.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sat, 01 Jun 2024 09:09:01 -0400

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,25 @@
 Source: pymilter
 Section: python
 Priority: optional
-Maintainer: Scott Kitterman <scott@kitterman.com>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders:
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
-Build-Depends: debhelper (>= 9), dh-python, python3-all-dev, libmilter-dev
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               libmilter-dev,
+               python3-all-dev,
+               python3-setuptools,
 Build-Depends-Indep: doxygen
-Standards-Version: 4.4.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/sdgathman/pymilter
-Vcs-Git: https://salsa.debian.org/python-team/modules/pymilter.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pymilter
+Vcs-Git: https://salsa.debian.org/python-team/packages/pymilter.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pymilter
 
 Package: python3-milter
 Architecture: any
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-dns
-Suggests: postfix (>= 2.3) | sendmail (>= 8.13), python-milter-doc
+Recommends: python3-bsddb3
+Suggests: postfix | sendmail, python-milter-doc
 Description: Python 3 extension for Sendmail Milter Protocol
  Python milter provides Python extensions for the Milter protocol traditionally
  used by Sendmail and now also used by Postfix. It provides a thin layer of

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with python3
+	dh $@
 
 override_dh_auto_clean:
 	set -e && for py3vers in $(shell py3versions -vr); do \

=== debian/tests/control ===
Tests: py3
Depends: @, sendmail-bin, python3-bsddb3, python3-dns, python3-all
Restrictions: allow-stderr
